import React from 'react';
import { ChevronRight } from 'lucide-react';
import { ProductCategory } from '../../types';

interface ProductSelectorProps {
  category: ProductCategory;
  onClick: () => void;
}

export function ProductSelector({ category, onClick }: ProductSelectorProps) {
  return (
    <button
      onClick={onClick}
      className="flex items-center gap-2 text-blue-600 hover:text-blue-700"
    >
      <span>Choose a {category.replace('_', ' ')}</span>
      <ChevronRight className="h-4 w-4" />
    </button>
  );
}