import React from 'react';
import { PriceFilter } from './PriceFilter';
import { BrandFilter } from './BrandFilter';

interface FilterSectionProps {
  brands: string[];
  selectedBrands: string[];
  onBrandChange: (brands: string[]) => void;
  minPrice: number;
  maxPrice: number;
  onPriceChange: (min: number, max: number) => void;
}

export function FilterSection({
  brands,
  selectedBrands,
  onBrandChange,
  minPrice,
  maxPrice,
  onPriceChange
}: FilterSectionProps) {
  return (
    <div className="space-y-6">
      <PriceFilter
        minPrice={minPrice}
        maxPrice={maxPrice}
        onPriceChange={onPriceChange}
      />
      <BrandFilter
        brands={brands}
        selectedBrands={selectedBrands}
        onChange={onBrandChange}
      />
    </div>
  );
}