import React from 'react';
import { AccessoryCard } from './AccessoryCard';
import { Accessory } from '../../types/accessory';

interface AccessoryGridProps {
  accessories: Accessory[];
}

export function AccessoryGrid({ accessories }: AccessoryGridProps) {
  if (accessories.length === 0) {
    return (
      <div className="text-center py-12 bg-white rounded-lg shadow-md">
        <p className="text-gray-500">No accessories found</p>
      </div>
    );
  }

  return (
    <div className="grid grid-cols-2 gap-6">
      {accessories.map(accessory => (
        <AccessoryCard key={accessory.id} accessory={accessory} />
      ))}
    </div>
  );
}