import React from 'react';
import { accessoryTypes } from '../../data/accessories';
import { AccessoryType } from '../../types/accessory';

interface AccessoryTypeFilterProps {
  selectedType: AccessoryType | null;
  onChange: (type: AccessoryType | null) => void;
}

export function AccessoryTypeFilter({ selectedType, onChange }: AccessoryTypeFilterProps) {
  return (
    <div className="bg-white rounded-lg shadow-md p-4">
      <h2 className="text-lg font-semibold text-gray-900 mb-4">Categories</h2>
      <div className="space-y-2">
        <button
          onClick={() => onChange(null)}
          className={`w-full text-left px-3 py-2 rounded-md transition-colors ${
            selectedType === null
              ? 'bg-blue-100 text-blue-700'
              : 'hover:bg-gray-100'
          }`}
        >
          All Accessories
        </button>
        {accessoryTypes.map(({ label, value, description }) => (
          <button
            key={value}
            onClick={() => onChange(value)}
            className={`w-full text-left px-3 py-2 rounded-md transition-colors ${
              selectedType === value
                ? 'bg-blue-100 text-blue-700'
                : 'hover:bg-gray-100'
            }`}
          >
            <div className="font-medium">{label}</div>
            <div className="text-sm text-gray-600">{description}</div>
          </button>
        ))}
      </div>
    </div>
  );
}