import React from 'react';
import { Link } from 'react-router-dom';
import { Star } from 'lucide-react';

export function AuthBanner() {
  return (
    <div className="bg-blue-50 border-b border-blue-100">
      <div className="max-w-7xl mx-auto px-4 py-3">
        <div className="flex items-center gap-2">
          <Star className="h-5 w-5 text-blue-600" />
          <p className="text-sm text-blue-800">
            <span className="font-medium">Sign up to unlock more features!</span>
            {' '}Save your builds, track favorites, and join the community.{' '}
            <Link to="/register" className="font-semibold underline hover:text-blue-600">
              Register now
            </Link>
          </p>
        </div>
      </div>
    </div>
  );
}