import React from 'react';
import { Modal } from '../Modal';
import { LoginForm } from './LoginForm';
import { Link } from 'react-router-dom';

interface AuthModalProps {
  isOpen: boolean;
  onClose: () => void;
}

export function AuthModal({ isOpen, onClose }: AuthModalProps) {
  return (
    <Modal isOpen={isOpen} onClose={onClose}>
      <div className="p-6">
        <div className="text-center mb-6">
          <h2 className="text-2xl font-bold text-gray-900">Sign In</h2>
          <p className="mt-2 text-gray-600">
            Sign in to add items to your favorites
          </p>
        </div>
        <LoginForm />
        <div className="mt-6 text-center text-gray-600">
          Don't have an account?{' '}
          <Link to="/register" className="text-blue-600 hover:text-blue-700" onClick={onClose}>
            Register
          </Link>
        </div>
      </div>
    </Modal>
  );
}