import React from 'react';
import { AlertCircle } from 'lucide-react';

interface FormErrorProps {
  message: string;
}

export function FormError({ message }: FormErrorProps) {
  return (
    <div className="bg-red-50 border border-red-200 rounded-md p-4 flex gap-2 items-start">
      <AlertCircle className="h-5 w-5 text-red-500 mt-0.5" />
      <p className="text-sm text-red-700">{message}</p>
    </div>
  );
}