import React from 'react';
import { X, Scale } from 'lucide-react';
import { useCompare } from '../../hooks/useCompare';
import { CompareTable } from './CompareTable';

export function CompareDrawer() {
  const { products, clearComparison } = useCompare();
  
  if (products.length === 0) return null;

  return (
    <div className="fixed bottom-0 left-0 right-0 bg-white border-t shadow-lg transform transition-transform">
      <div className="max-w-7xl mx-auto px-4 py-4">
        <div className="flex justify-between items-center mb-4">
          <div className="flex items-center gap-2">
            <Scale className="h-5 w-5 text-blue-600" />
            <h3 className="font-semibold text-gray-900">
              Comparing {products.length} {products[0].category.replace('_', ' ')}
              {products.length > 1 ? 's' : ''}
            </h3>
          </div>
          <button
            onClick={clearComparison}
            className="p-1 rounded-full hover:bg-gray-100"
          >
            <X className="h-5 w-5 text-gray-600" />
          </button>
        </div>
        
        <CompareTable products={products} />
      </div>
    </div>
  );
}