import React from 'react';
import { Scale } from 'lucide-react';
import { useCompare } from '../../hooks/useCompare';

export function CompareInstructions() {
  const { products } = useCompare();
  const remaining = 4 - products.length;

  return (
    <div className="bg-blue-50 border border-blue-100 rounded-lg p-4 mb-6">
      <div className="flex items-center gap-2 text-blue-700 mb-2">
        <Scale className="h-5 w-5" />
        <h3 className="font-medium">Compare Mode Active</h3>
      </div>
      <p className="text-sm text-blue-600">
        {products.length === 0 ? (
          "Click on products to add them to comparison. You can compare up to 4 products from the same category."
        ) : (
          `You've selected ${products.length} product${products.length > 1 ? 's' : ''}. 
           You can add ${remaining} more product${remaining > 1 ? 's' : ''} to compare.`
        )}
      </p>
    </div>
  );
}