import React from 'react';
import { useCompare } from '../../hooks/useCompare';

export function CompareProgress() {
  const { products } = useCompare();
  const maxProducts = 4;
  const progress = (products.length / maxProducts) * 100;

  return (
    <div className="fixed bottom-20 right-4 z-40 bg-white rounded-lg shadow-lg p-4 w-64">
      <div className="flex justify-between text-sm text-gray-600 mb-2">
        <span>Products selected</span>
        <span>{products.length} of {maxProducts}</span>
      </div>
      <div className="h-2 bg-gray-200 rounded-full overflow-hidden">
        <div 
          className="h-full bg-blue-600 transition-all duration-300"
          style={{ width: `${progress}%` }}
        />
      </div>
    </div>
  );
}