import React from 'react';
import { Bell } from 'lucide-react';
import { useNotificationStore } from '../../stores/notificationStore';

interface InboxButtonProps {
  onClick: () => void;
}

export function InboxButton({ onClick }: InboxButtonProps) {
  const { unreadCount } = useNotificationStore();

  return (
    <button
      onClick={onClick}
      className="p-1.5 rounded-full relative text-gray-600 hover:text-gray-900 hover:bg-gray-50"
      title="Inbox"
    >
      <Bell className="h-4 w-4" />
      {unreadCount > 0 && (
        <span className="absolute -top-1 -right-1 bg-red-600 text-white text-xs rounded-full h-4 w-4 flex items-center justify-center">
          {unreadCount}
        </span>
      )}
    </button>
  );
}