import React from 'react';
import { TopNav } from './TopNav';
import { MainNav } from './MainNav';
import { AuthBanner } from '../auth/AuthBanner';
import { useAuth } from '../../hooks/useAuth';

export function Navigation() {
  const { isAuthenticated } = useAuth();

  return (
    <header>
      {!isAuthenticated && <AuthBanner />}
      <TopNav />
      <MainNav />
    </header>
  );
}