import React from 'react';
import { Product } from '../../types';
import { PriceAlertButton } from './PriceAlertButton';

interface ProductHeaderProps {
  product: Product;
}

export function ProductHeader({ product }: ProductHeaderProps) {
  return (
    <div className="bg-white rounded-lg shadow-md p-6">
      <div className="flex justify-between items-start">
        <div>
          <h1 className="text-2xl font-bold text-gray-900">{product.name}</h1>
          <p className="text-lg text-gray-600">{product.brand}</p>
        </div>
        <div className="text-right">
          <div className="text-2xl font-bold text-gray-900 mb-2">
            ${product.price.toLocaleString()}
          </div>
          <PriceAlertButton product={product} />
        </div>
      </div>
      <p className="mt-4 text-gray-700">{product.description}</p>
    </div>
  );
}