import React from 'react';
import { Product } from '../../types';

interface ProductSpecsProps {
  product: Product;
}

export function ProductSpecs({ product }: ProductSpecsProps) {
  return (
    <div className="bg-white rounded-lg shadow-md p-6">
      <h2 className="text-xl font-semibold mb-4">Specifications</h2>
      <dl className="grid grid-cols-1 md:grid-cols-2 gap-4">
        {Object.entries(product.specs).map(([key, value]) => (
          <div key={key} className="bg-gray-50 p-4 rounded-lg">
            <dt className="text-sm font-medium text-gray-600">{key}</dt>
            <dd className="mt-1 text-gray-900">{value}</dd>
          </div>
        ))}
      </dl>
    </div>
  );
}