import { Accessory, AccessoryType } from '../types/accessory';

export const accessoryTypes: { label: string; value: AccessoryType; description: string }[] = [
  { 
    label: 'Side & Ceiling Netting',
    value: 'netting',
    description: 'Protect your space with high-quality protective netting'
  },
  {
    label: 'LED Lighting',
    value: 'lighting',
    description: 'Enhance visibility and aesthetics with proper lighting'
  },
  {
    label: 'Additional Turf',
    value: 'turf',
    description: 'Extra turf pieces for stance mats or full flooring'
  },
  {
    label: 'Ball Trays',
    value: 'ball_tray',
    description: 'Keep your practice balls organized and within reach'
  },
  {
    label: 'Club Racks',
    value: 'club_rack',
    description: 'Store and display your clubs conveniently'
  },
  {
    label: 'Camera Mounts',
    value: 'camera_mount',
    description: 'Secure mounting solutions for launch monitors'
  },
  {
    label: 'Putting Cups',
    value: 'putting_cup',
    description: 'Practice your putting with integrated cups'
  },
  {
    label: 'Alignment Kits',
    value: 'alignment_kit',
    description: 'Tools for proper alignment and setup'
  }
];

export const accessories: Accessory[] = [
  {
    id: 'acc1',
    name: 'Premium Side Netting Kit',
    brand: "Carl's Place",
    category: 'accessory',
    type: 'netting',
    price: 299,
    image: 'https://images.unsplash.com/photo-1505373877841-8d25f7d46678',
    description: 'Complete side netting kit with mounting hardware',
    specs: {
      'Material': 'High-impact polyester',
      'Coverage': '12\' x 8\' (each side)',
      'Color': 'Black',
      'Includes': 'Mounting hardware'
    },
    installationType: 'DIY'
  },
  {
    id: 'acc2',
    name: 'LED Strip Lighting Kit',
    brand: 'SwingBright',
    category: 'accessory',
    type: 'lighting',
    price: 199,
    image: 'https://images.unsplash.com/photo-1565838141802-4c0d38ab3322',
    description: 'RGB LED strip lighting with remote control',
    specs: {
      'Length': '32 feet',
      'Color': 'RGB + White',
      'Control': 'Remote + App',
      'Power': '120V'
    },
    installationType: 'DIY'
  }
  // Add more accessories as needed
];