import { Product } from '../types';

export const products: Product[] = [
  // Launch Monitors
  {
    id: 'lm1',
    name: 'GC3',
    brand: 'Foresight Sports',
    category: 'launch_monitor',
    price: 7000,
    image: 'https://images.unsplash.com/photo-1535131749006-b7f58c99034b?auto=format&fit=crop&q=80&w=2070',
    description: 'Professional-grade launch monitor with exceptional accuracy',
    specs: {
      'Accuracy': '±0.2°',
      'Ball Data Points': '12',
      'Connection': 'USB-C, WiFi',
      'Battery Life': '8 hours'
    }
  },
  {
    id: 'lm2',
    name: 'SkyTrak+',
    brand: 'SkyTrak',
    category: 'launch_monitor',
    price: 2500,
    image: 'https://images.unsplash.com/photo-1592595896616-c37162298647?auto=format&fit=crop&q=80&w=2070',
    description: 'Portable launch monitor with great accuracy and value',
    specs: {
      'Accuracy': '±1.0°',
      'Ball Data Points': '8',
      'Connection': 'WiFi',
      'Battery Life': '5 hours'
    }
  },
  {
    id: 'lm3',
    name: 'Mevo+',
    brand: 'FlightScope',
    category: 'launch_monitor',
    price: 2000,
    image: 'https://images.unsplash.com/photo-1535131749006-b7f58c99034b?auto=format&fit=crop&q=80&w=2070',
    description: 'Radar-based launch monitor with outdoor and indoor capabilities',
    specs: {
      'Accuracy': '±0.5°',
      'Ball Data Points': '10',
      'Connection': 'Bluetooth',
      'Battery Life': '4 hours'
    }
  },
  {
    id: 'lm4',
    name: 'Uneekor QED',
    brand: 'Uneekor',
    category: 'launch_monitor',
    price: 6000,
    image: 'https://images.unsplash.com/photo-1592595896616-c37162298647?auto=format&fit=crop&q=80&w=2070',
    description: 'Ceiling-mounted launch monitor with high-speed cameras',
    specs: {
      'Accuracy': '±0.3°',
      'Ball Data Points': '12',
      'Connection': 'USB',
      'Installation': 'Ceiling mount'
    }
  },
  {
    id: 'lm5',
    name: 'Bushnell Launch Pro',
    brand: 'Bushnell',
    category: 'launch_monitor',
    price: 3000,
    image: 'https://images.unsplash.com/photo-1535131749006-b7f58c99034b?auto=format&fit=crop&q=80&w=2070',
    description: 'Photometric launch monitor with subscription options',
    specs: {
      'Accuracy': '±0.2°',
      'Ball Data Points': '12',
      'Connection': 'USB-C',
      'Battery Life': '6 hours'
    }
  },

  // Projectors
  {
    id: 'p1',
    name: 'Optoma EH412ST',
    brand: 'Optoma',
    category: 'projector',
    price: 999,
    image: 'https://images.unsplash.com/photo-1478720568477-152d9b164e26?auto=format&fit=crop&q=80&w=2070',
    description: 'Short throw projector with 4000 ANSI lumens',
    specs: {
      'Lumens': '4000 ANSI',
      'Resolution': '1080p',
      'Throw Ratio': '0.5:1',
      'Contrast': '50000:1'
    }
  },
  {
    id: 'p2',
    name: 'BenQ LK936ST',
    brand: 'BenQ',
    category: 'projector',
    price: 3499,
    image: 'https://images.unsplash.com/photo-1489599849927-2ee91cede3ba?auto=format&fit=crop&q=80&w=2070',
    description: '4K laser projector with 5100 lumens',
    specs: {
      'Lumens': '5100 ANSI',
      'Resolution': '4K UHD',
      'Throw Ratio': '0.81-0.89:1',
      'Light Source': 'Laser'
    }
  },
  {
    id: 'p3',
    name: 'Epson Pro L730U',
    brand: 'Epson',
    category: 'projector',
    price: 4299,
    image: 'https://images.unsplash.com/photo-1478720568477-152d9b164e26?auto=format&fit=crop&q=80&w=2070',
    description: 'WUXGA laser projector with 7000 lumens',
    specs: {
      'Lumens': '7000 ANSI',
      'Resolution': 'WUXGA',
      'Throw Ratio': '1.35-2.20:1',
      'Light Source': 'Laser'
    }
  },
  {
    id: 'p4',
    name: 'ViewSonic LS850WU',
    brand: 'ViewSonic',
    category: 'projector',
    price: 2799,
    image: 'https://images.unsplash.com/photo-1489599849927-2ee91cede3ba?auto=format&fit=crop&q=80&w=2070',
    description: 'WUXGA laser projector with flexible installation',
    specs: {
      'Lumens': '5000 ANSI',
      'Resolution': 'WUXGA',
      'Throw Ratio': '1.13-1.47:1',
      'Light Source': 'Laser'
    }
  },
  {
    id: 'p5',
    name: 'Panasonic PT-VMZ60',
    brand: 'Panasonic',
    category: 'projector',
    price: 2499,
    image: 'https://images.unsplash.com/photo-1478720568477-152d9b164e26?auto=format&fit=crop&q=80&w=2070',
    description: 'Portable LCD projector with 6000 lumens',
    specs: {
      'Lumens': '6000 ANSI',
      'Resolution': 'WUXGA',
      'Throw Ratio': '1.09-1.77:1',
      'Light Source': 'Laser'
    }
  },

  // Enclosures
  {
    id: 'e1',
    name: 'Pro Enclosure',
    brand: 'Carl\'s Place',
    category: 'enclosure',
    price: 999,
    image: 'https://images.unsplash.com/photo-1505373877841-8d25f7d46678?auto=format&fit=crop&q=80&w=2070',
    description: 'Professional-grade golf simulator enclosure',
    specs: {
      'Size': '10\'x10\'x10\'',
      'Material': 'Heavy duty EMT',
      'Assembly': 'DIY',
      'Includes': 'Frame, corner kit, impact screen'
    }
  },
  {
    id: 'e2',
    name: 'Premium Retractable',
    brand: 'SwingBay',
    category: 'enclosure',
    price: 2499,
    image: 'https://images.unsplash.com/photo-1505373877841-8d25f7d46678?auto=format&fit=crop&q=80&w=2070',
    description: 'Retractable enclosure system with premium materials',
    specs: {
      'Size': '12\'x12\'x12\'',
      'Material': 'Aircraft aluminum',
      'Assembly': 'Professional installation',
      'Features': 'Motorized retraction'
    }
  },
  {
    id: 'e3',
    name: 'HomeBay Compact',
    brand: 'SwingBay',
    category: 'enclosure',
    price: 799,
    image: 'https://images.unsplash.com/photo-1505373877841-8d25f7d46678?auto=format&fit=crop&q=80&w=2070',
    description: 'Compact enclosure for home use',
    specs: {
      'Size': '8\'x8\'x8\'',
      'Material': 'Steel tubing',
      'Assembly': 'DIY',
      'Features': 'Portable design'
    }
  },
  {
    id: 'e4',
    name: 'Pro Series XL',
    brand: 'TruGolf',
    category: 'enclosure',
    price: 1899,
    image: 'https://images.unsplash.com/photo-1505373877841-8d25f7d46678?auto=format&fit=crop&q=80&w=2070',
    description: 'Extra large enclosure for commercial use',
    specs: {
      'Size': '16\'x10\'x10\'',
      'Material': 'Commercial grade aluminum',
      'Assembly': 'Professional installation',
      'Features': 'Side barriers included'
    }
  },
  {
    id: 'e5',
    name: 'DIY Kit Plus',
    brand: 'Carl\'s Place',
    category: 'enclosure',
    price: 599,
    image: 'https://images.unsplash.com/photo-1505373877841-8d25f7d46678?auto=format&fit=crop&q=80&w=2070',
    description: 'Complete DIY enclosure kit',
    specs: {
      'Size': '10\'x8\'x8\'',
      'Material': 'EMT conduit',
      'Assembly': 'DIY',
      'Includes': 'Frame, corners, screen, side nets'
    }
  },

  // Impact Screens
  {
    id: 'is1',
    name: 'Premium Impact Screen',
    brand: 'Carl\'s Place',
    category: 'impact_screen',
    price: 899,
    image: 'https://images.unsplash.com/photo-1535131749006-b7f58c99034b?auto=format&fit=crop&q=80&w=2070',
    description: 'Premium impact screen with high-gain material',
    specs: {
      'Material': 'Premium Impact Material',
      'Size': '16:9 ratio',
      'Gain': '1.2',
      'Thickness': '2mm'
    }
  },
  {
    id: 'is2',
    name: 'Pro Series Screen',
    brand: 'TruGolf',
    category: 'impact_screen',
    price: 1299,
    image: 'https://images.unsplash.com/photo-1535131749006-b7f58c99034b?auto=format&fit=crop&q=80&w=2070',
    description: 'Professional grade impact screen',
    specs: {
      'Material': 'Ballistic grade fabric',
      'Size': 'Custom sizes',
      'Gain': '1.4',
      'Thickness': '2.5mm'
    }
  },
  {
    id: 'is3',
    name: 'Performance Screen',
    brand: 'SwingBay',
    category: 'impact_screen',
    price: 799,
    image: 'https://images.unsplash.com/photo-1535131749006-b7f58c99034b?auto=format&fit=crop&q=80&w=2070',
    description: 'High-performance impact screen',
    specs: {
      'Material': 'Woven polyester',
      'Size': '4:3 ratio',
      'Gain': '1.0',
      'Thickness': '1.8mm'
    }
  },
  {
    id: 'is4',
    name: 'Elite Screen',
    brand: 'FSG',
    category: 'impact_screen',
    price: 1499,
    image: 'https://images.unsplash.com/photo-1535131749006-b7f58c99034b?auto=format&fit=crop&q=80&w=2070',
    description: 'Elite series impact screen with edge reinforcement',
    specs: {
      'Material': 'Multi-layer impact fabric',
      'Size': 'Custom sizes',
      'Gain': '1.5',
      'Thickness': '3mm'
    }
  },
  {
    id: 'is5',
    name: 'Basic Screen',
    brand: 'Carl\'s Place',
    category: 'impact_screen',
    price: 499,
    image: 'https://images.unsplash.com/photo-1535131749006-b7f58c99034b?auto=format&fit=crop&q=80&w=2070',
    description: 'Entry-level impact screen',
    specs: {
      'Material': 'Standard impact material',
      'Size': '16:9 ratio',
      'Gain': '0.8',
      'Thickness': '1.5mm'
    }
  },

  // Hitting Mats
  {
    id: 'hm1',
    name: 'Pro Turf Mat',
    brand: 'Country Club Elite',
    category: 'hitting_mat',
    price: 799,
    image: 'https://images.unsplash.com/photo-1592595896616-c37162298647?auto=format&fit=crop&q=80&w=2070',
    description: 'Professional grade hitting mat',
    specs: {
      'Size': '4\'x5\'',
      'Thickness': '2"',
      'Material': 'Nylon fiber',
      'Base': 'Rubber composite'
    }
  },
  {
    id: 'hm2',
    name: 'Premium Mat',
    brand: 'Fiberbuilt',
    category: 'hitting_mat',
    price: 449,
    image: 'https://images.unsplash.com/photo-1592595896616-c37162298647?auto=format&fit=crop&q=80&w=2070',
    description: 'Premium hitting mat with grass-like feel',
    specs: {
      'Size': '3\'x5\'',
      'Thickness': '1.5"',
      'Material': 'Fiber system',
      'Base': 'EVA foam'
    }
  },
  {
    id: 'hm3',
    name: 'Tour Links Mat',
    brand: 'Tour Links',
    category: 'hitting_mat',
    price: 899,
    image: 'https://images.unsplash.com/photo-1592595896616-c37162298647?auto=format&fit=crop&q=80&w=2070',
    description: 'Tour grade hitting mat with modular design',
    specs: {
      'Size': '5\'x5\'',
      'Thickness': '2.5"',
      'Material': 'Synthetic turf',
      'Base': 'Modular plastic'
    }
  },
  {
    id: 'hm4',
    name: 'Basic Mat',
    brand: 'SIGPRO',
    category: 'hitting_mat',
    price: 299,
    image: 'https://images.unsplash.com/photo-1592595896616-c37162298647?auto=format&fit=crop&q=80&w=2070',
    description: 'Entry-level hitting mat',
    specs: {
      'Size': '3\'x4\'',
      'Thickness': '1"',
      'Material': 'Synthetic turf',
      'Base': 'Rubber'
    }
  },
  {
    id: 'hm5',
    name: 'Commercial Mat',
    brand: 'TrueStrike',
    category: 'hitting_mat',
    price: 1299,
    image: 'https://images.unsplash.com/photo-1592595896616-c37162298647?auto=format&fit=crop&q=80&w=2070',
    description: 'Commercial grade hitting mat',
    specs: {
      'Size': '6\'x6\'',
      'Thickness': '3"',
      'Material': 'Multi-layer system',
      'Base': 'Gel-based absorption'
    }
  },

  // Computers
  {
    id: 'c1',
    name: 'Gaming PC Pro',
    brand: 'Custom Build',
    category: 'computer',
    price: 1999,
    image: 'https://images.unsplash.com/photo-1587202372634-32705e3bf49c?auto=format&fit=crop&q=80&w=2070',
    description: 'High-performance gaming PC for simulators',
    specs: {
      'CPU': 'Intel i7 12700K',
      'GPU': 'RTX 3080',
      'RAM': '32GB DDR4',
      'Storage': '1TB NVMe SSD'
    }
  },
  {
    id: 'c2',
    name: 'Sim Laptop Elite',
    brand: 'MSI',
    category: 'computer',
    price: 2499,
    image: 'https://images.unsplash.com/photo-1587202372634-32705e3bf49c?auto=format&fit=crop&q=80&w=2070',
    description: 'High-end gaming laptop',
    specs: {
      'CPU': 'Intel i9 12900H',
      'GPU': 'RTX 3080 Ti Laptop',
      'RAM': '64GB DDR5',
      'Storage': '2TB NVMe SSD'
    }
  },
  {
    id: 'c3',
    name: 'Basic Gaming PC',
    brand: 'Custom Build',
    category: 'computer',
    price: 1299,
    image: 'https://images.unsplash.com/photo-1587202372634-32705e3bf49c?auto=format&fit=crop&q=80&w=2070',
    description: 'Entry-level gaming PC',
    specs: {
      'CPU': 'AMD Ryzen 5 5600X',
      'GPU': 'RTX 3060',
      'RAM': '16GB DDR4',
      'Storage': '500GB NVMe SSD'
    }
  },
  {
    id: 'c4',
    name: 'Pro Workstation',
    brand: 'HP',
    category: 'computer',
    price: 3499,
    image: 'https://images.unsplash.com/photo-1587202372634-32705e3bf49c?auto=format&fit=crop&q=80&w=2070',
    description: 'Professional workstation for commercial use',
    specs: {
      'CPU': 'AMD Threadripper Pro',
      'GPU': 'RTX 4080',
      'RAM': '128GB DDR5 ECC',
      'Storage': '4TB NVMe RAID'
    }
  },
  {
    id: 'c5',
    name: 'Compact Gaming PC',
    brand: 'Custom Build',
    category: 'computer',
    price: 1599,
    image: 'https://images.unsplash.com/photo-1587202372634-32705e3bf49c?auto=format&fit=crop&q=80&w=2070',
    description: 'Small form factor gaming PC',
    specs: {
      'CPU': 'Intel i5 12600K',
      'GPU': 'RTX 3070',
      'RAM': '32GB DDR4',
      'Storage': '1TB NVMe SSD'
    }
  }
];