import { useState, useEffect } from 'react';
import { CommunityBuild } from '../types/community';
import { products } from '../data/products';

export function useCommunityBuild(buildId: string | undefined) {
  const [build, setBuild] = useState<CommunityBuild | null>(null);
  const [isLoading, setIsLoading] = useState(true);

  useEffect(() => {
    if (!buildId) {
      setIsLoading(false);
      return;
    }

    // TODO: Replace with actual API call
    const mockBuild: CommunityBuild = {
      id: buildId,
      title: 'Premium Home Setup',
      description: 'High-end home simulator with GC3 and premium screen',
      author: {
        id: '1',
        username: 'golfpro',
        email: '',
        joinedAt: new Date().toISOString(),
        postCount: 0
      },
      products: [
        products[0],
        products[5],
        products[10],
        products[15]
      ],
      tags: ['Premium', 'Home'],
      likes: 42,
      comments: 12,
      createdAt: new Date().toISOString(),
      updatedAt: new Date().toISOString()
    };

    setBuild(mockBuild);
    setIsLoading(false);
  }, [buildId]);

  return { build, isLoading };
}