import { useState, useEffect } from 'react';
import { CommunityBuild, BuildFilters } from '../types/community';

const initialFilters: BuildFilters = {
  sort: 'recent',
  minPrice: 0,
  maxPrice: Infinity,
  tags: []
};

export function useCommunityBuilds() {
  const [builds, setBuilds] = useState<CommunityBuild[]>([]);
  const [isLoading, setIsLoading] = useState(true);
  const [filters, setFilters] = useState<BuildFilters>(initialFilters);

  useEffect(() => {
    // TODO: Replace with actual API call
    const mockBuilds: CommunityBuild[] = [
      {
        id: '1',
        title: 'Premium Home Setup',
        description: 'High-end home simulator with GC3 and premium screen',
        author: {
          id: '1',
          username: 'golfpro',
          email: '',
          joinedAt: new Date().toISOString(),
          postCount: 0
        },
        products: [], // Add mock products
        tags: ['Premium', 'Home'],
        likes: 42,
        comments: 12,
        createdAt: new Date().toISOString(),
        updatedAt: new Date().toISOString()
      }
      // Add more mock builds
    ];

    setBuilds(mockBuilds);
    setIsLoading(false);
  }, [filters]);

  const updateFilters = (newFilters: BuildFilters) => {
    setFilters(newFilters);
  };

  return {
    builds,
    isLoading,
    filters,
    updateFilters
  };
}