import { create } from 'zustand';

interface CompareModeStore {
  isActive: boolean;
  toggleMode: () => void;
}

export const useCompareMode = create<CompareModeStore>((set) => ({
  isActive: false,
  toggleMode: () => set((state) => ({ isActive: !state.isActive }))
}));