import { useState, useEffect } from 'react';

interface PricePoint {
  date: string;
  price: number;
}

export function usePriceHistory(productId: string) {
  const [data, setData] = useState<PricePoint[]>([]);
  const [isLoading, setIsLoading] = useState(true);

  useEffect(() => {
    // TODO: Replace with actual API call
    const mockData = Array.from({ length: 30 }, (_, i) => {
      const date = new Date();
      date.setDate(date.getDate() - i);
      return {
        date: date.toISOString().split('T')[0],
        price: Math.random() * 1000 + 500
      };
    }).reverse();

    setData(mockData);
    setIsLoading(false);
  }, [productId]);

  return { data, isLoading };
}