import React from 'react';
import { RequireAuth } from '../components/auth/RequireAuth';
import { SavedBuildsList } from '../components/dashboard/SavedBuildsList';
import { DashboardHeader } from '../components/dashboard/DashboardHeader';
import { PriceAlertsList } from '../components/dashboard/PriceAlertsList';
import { ForumActivityList } from '../components/dashboard/ForumActivityList';

export function DashboardPage() {
  return (
    <RequireAuth>
      <main className="max-w-7xl mx-auto px-4 py-8">
        <DashboardHeader />
        
        <div className="grid grid-cols-1 lg:grid-cols-3 gap-8">
          <div className="lg:col-span-2">
            <h2 className="text-lg font-semibold text-gray-900 mb-4">Saved Builds</h2>
            <SavedBuildsList />
          </div>
          
          <div className="space-y-8">
            <div>
              <h2 className="text-lg font-semibold text-gray-900 mb-4">Price Alerts</h2>
              <PriceAlertsList />
            </div>
            
            <div>
              <h2 className="text-lg font-semibold text-gray-900 mb-4">Forum Activity</h2>
              <ForumActivityList />
            </div>
          </div>
        </div>
      </main>
    </RequireAuth>
  );
}