import React from 'react';
import { Routes, Route } from 'react-router-dom';
import { ThreadList } from '../components/forum/ThreadList';
import { ThreadView } from '../components/forum/ThreadView';
import { NewThreadForm } from '../components/forum/NewThreadForm';
import { RequireAuth } from '../components/auth/RequireAuth';

export function ForumPage() {
  return (
    <main className="max-w-7xl mx-auto px-4 py-8">
      <Routes>
        <Route index element={<ThreadList />} />
        <Route path="thread/:threadId" element={<ThreadView />} />
        <Route 
          path="new" 
          element={
            <RequireAuth>
              <NewThreadForm />
            </RequireAuth>
          } 
        />
      </Routes>
    </main>
  );
}