import React from 'react';
import { RequireAuth } from '../components/auth/RequireAuth';
import { CreateBuildForm } from '../components/community/CreateBuildForm';
import { Product } from '../types';

interface ShareBuildPageProps {
  selectedProducts: Product[];
}

export function ShareBuildPage({ selectedProducts }: ShareBuildPageProps) {
  return (
    <RequireAuth>
      <main className="max-w-7xl mx-auto px-4 py-8">
        <CreateBuildForm selectedProducts={selectedProducts} />
      </main>
    </RequireAuth>
  );
}