export interface Notification {
  id: string;
  userId: string;
  threadId: string;
  replyId: string;
  title: string;
  content: string;
  author: {
    username: string;
    avatar?: string;
  };
  read: boolean;
  createdAt: string;
}

export interface NotificationStore {
  notifications: Notification[];
  unreadCount: number;
  markAsRead: (notificationId: string) => void;
  markAllAsRead: () => void;
  addNotification: (notification: Omit<Notification, 'id' | 'createdAt' | 'read'>) => void;
}