export interface PriceAlert {
  id: string;
  userId: string;
  productId: string;
  targetPrice: number;
  type: 'increase' | 'decrease';
  createdAt: string;
  isActive: boolean;
}

export interface PriceAlertStore {
  alerts: PriceAlert[];
  addAlert: (alert: Omit<PriceAlert, 'id' | 'createdAt' | 'isActive'>) => void;
  removeAlert: (alertId: string) => void;
  toggleAlert: (alertId: string) => void;
}