import { Product } from '../types';

export function encodeBuild(products: Product[]): string {
  const productIds = products.map(p => p.id).join(',');
  return btoa(productIds);
}

export function decodeBuild(hash: string): string[] {
  try {
    const decoded = atob(hash);
    return decoded ? decoded.split(',') : [];
  } catch {
    return [];
  }
}